Update Profile Details

Updates the WhatsApp Business profile information for a specific partner application. You can update multiple profile fields in a single request including address, description, email, website, and industry vertical. All updates are immediately reflected on your WhatsApp Business profile.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

ParametersValueDescription
Authorization{{PARTNER_APP_TOKEN}}Access Token for the application
addLine1stringAddress of the business
addLine2stringAddress of the business
citystringCity where business is situated
statestringState where business is situated
pinCodestringPincode of the city where business is situated
countrystringCountry where business is situated
verticalstringPincode of the city where business is situated
website1stringWebsite of business
website2stringWebsite of business
descstringDescription of the business
profileEmailstringEmail of business

Sample Request

curl --location --request PUT 'https://partner.gupshup.io/partner/app/{{APP_ID}}/business/profile' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'addLine1={{ADDRESS_LINE_1}}' \
--data-urlencode 'addLine2={{ADDRESS_LINE_2}}' \
--data-urlencode 'city={{CITY}}' \
--data-urlencode 'state={{STATE}}' \
--data-urlencode 'pinCode={{PINCODE}}' \
--data-urlencode 'country={{COUNTRY}}' \
--data-urlencode 'vertical={{VERTICAL}}' \
--data-urlencode 'website1={{WEBSITE1}}' \
--data-urlencode 'website2={{WEBSITE2}}' \
--data-urlencode 'desc={{DESCRIPTION}}' \
--data-urlencode 'profileEmail={{PROFILE_EMAIL}}'

Sample Response

{
            "profile": {
                "address": "<address>",
                "profileEmail": "<emailId>",
                "desc": "<description>",
                "vertical": "<vertical>",
                "website1": "<website1>",
                "website2": "<website2>"
            },
            "status": "success"
        }
Path Params
string
required
Form Data
integer
string
string
string
integer
string
string

Param vertical must be one of {OTHER, AUTO, BEAUTY, APPAREL, EDU, ENTERTAIN, EVENT_PLAN, FINANCE, GROCERY, GOVT, HOTEL, HEALTH, NONPROFIT, PROF_SERVICES, RETAIL, TRAVEL, RESTAURANT}

string
string
string
string
Headers
string
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!